bct_dump(1)

NAME
bct_dump - tegra BCT disassembly tool

SYNOPSIS
bct_dump bctfile

DESCRIPTION
This program is used to take a binary Tegra Boot Configuration Table (BCT) and disassemble it into a text format suitable to be compiled with cbootimage(1).

  Platforms supported

•   Tegra20

•   Tegra30

•   Tegra114

•   Tegra124

•   Tegra132

•   Tegra210

OPTIONS

bctfile
    Specify the BCT file to disassemble

EXAMPLES
To disassemble the BCT file for a Tegra124 Jetson-TK1:
$ bct_dump PM375_Hynix_2GB_H5TC4G63AFR_RDA_924MHz.bct
Version       = 0x00400001;
BlockSize     = 0x00004000;
PageSize      = 0x00000200;
PartitionSize = 0x01000000;
OdmData       = 0x800d8000;
JtagCtrl      = 0x00000000;
ChipUid       = 0x00000000000000000000000000000000;
# Bootloader used       = 0;
# Bootloaders max       = 4;
# BCT size              = 8192;
 ...

RETURN VALUE
If any error occurs a non zero exit status is returned.

SEE ALSO
tegrarcm(1),cbootimage(1)